%define oname ardour2

Summary:   	Professional multitrack audio recording application
Name:		ardour
Version:	2.8.12
Release:	%mkrel 1
Epoch:		1
Group:		Sound
License:	GPLv2+
URL:		http://ardour.org/
# since 2.8.2 there is no direct link :(
Source0:	http://releases.ardour.org/%{name}-%{version}.tar.bz2
# Source1:	wiimote.tar.gz
Patch1:		ardour-2.0.5-fix_compile.patch
Patch4:		ardour-2.8.4-gcc43.patch
Patch6:		ardour-2.8.2-disable-fdo-actions.patch
BuildRequires:	curl-devel
BuildRequires:	fftw3-devel
BuildRequires:	gettext >= 0.11.5
BuildRequires:	gtk2-devel >= 2.8
BuildRequires:	gtkmm2.4-devel >= 2.10.8
BuildRequires:	jackit-devel >= 0.100
BuildRequires: 	libalsa-devel
BuildRequires:	libart_lgpl-devel >= 2.3.16
BuildRequires:	libboost-devel
BuildRequires:	libflac-devel
BuildRequires:	libglib2.0-devel >= 2.10
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	libgnomecanvasmm2.6-devel
BuildRequires:	liblo-devel
BuildRequires:	liblrdf-devel >= 0.3.1
BuildRequires:	libsamplerate-devel >= 0.0.13
BuildRequires:	libsndfile-devel >= 1.0.16
BuildRequires:	libtool
BuildRequires: 	libusb-devel
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	raptor2-devel
BuildRequires:	scons >= 0.96
BuildRequires:	slv2-devel >= 0.6.0
BuildRequires:	soundtouch-devel >= 1.3.1
BuildRequires:	sqlite3-devel
BuildRequires:	lv2core-devel
BuildRequires:	vamp-plugin-sdk-devel
BuildRequires:	rubberband-devel
BuildRequires:	soundtouch-devel
BuildRequires:	aubio-devel
BuildRequires:	xdg-utils
BuildRequires:	shared-mime-info
BuildRequires:	cwiid-devel
BuildRequires:	libredland-devel
BuildRequires:	desktop-file-utils
Requires:	jackit >= 0.100

%description
Ardour is a digital audio workstation.You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video soundtracks, or just
experiment with new ideas about music and sound.

Ardour capabilities include: multichannel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/busses/plugins, timecode synchronization, and hardware control from
surfaces like the Mackie Control Universal. If you've been looking for a tool
similar to ProTools, Nuendo, Pyramix, or Sequoia, you might have found it.

You must have jackd running and an ALSA sound driver to use ardour. If you are
new to jackd, try qjackctl.

See the online user manual at http://ardour.org/files/manual/index.html

Important notice: This package is built against the system libraries in
Mageia, and in the SConstruct file there is a text that seems to invalidate
support from upstream authors "USE AT YOUR OWN RISK: CANCELS ALL SUPPORT FROM
ARDOUR AUTHORS".

%prep

%setup -q
%patch1 -p1
%patch4 -p0
%patch6 -p0

%build
#(tpg) disable strange optimisations, like SSE
%ifarch %{ix86}
TARGETCPU="i686"
ARCHFLAGS="-DARCH_X86"
%endif
%ifarch x86_64
TARGETCPU="x86_64"
ARCHFLAGS="-DARCH_X86 -DBUILD_SSE_OPTIMIZATIONS -DUSE_X86_64_ASM"
%endif

# ardour want to link against old library
sed -i -e 's/soundtouch-1.0/soundtouch/g' SConstruct

export LINKFLAGS="%{ldflags}"
%scons \
	PREFIX=%{_prefix} \
	DIST_TARGET="${TARGETCPU}" \
	LINKFLAGS="%{ldflags}" \
	CCFLAGS="%{optflags} -ffast-math" \
	ARCH="${ARCHFLAGS}" \
	FFT_ANALYSIS="1" \
	LIBDIR="%{_libdir}" \
	SYSLIBS="1" \
	SURFACES="1" \
	LIBLO="1" \
	LV2="1" \
	TRANZPORT="1" \
	NLS="1" \
	FREEDESKTOP="1" \
	AUBIO="1" \
	FPU_OPTIMIZATION="1" \
	WIIMOTE="1" \
	FREESOUND="1" \
	AUSTATE="1"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
scons DESTDIR=%{buildroot} install

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README PACKAGER_README
%dir %{_sysconfdir}/%{oname}
%dir %{_libdir}/%{oname}
%dir %{_datadir}/%{oname}
%dir %{_datadir}/%{oname}/icons
%dir %{_datadir}/%{oname}/pixmaps
%dir %{_datadir}/%{oname}/templates
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_dark.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_default.conf
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_light.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour.menus
%config(noreplace) %{_sysconfdir}/%{oname}/ardour_system.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ergonomic-us.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/mnemonic-us.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/ardour-sae.menus
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-de-keypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-de-nokeypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-us-keypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/SAE-us-nokeypad.bindings
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_dark_sae.rc
%config(noreplace) %{_sysconfdir}/%{oname}/ardour2_ui_light_sae.rc
%{_bindir}/%{oname}
%{_libdir}/%{oname}/*.so
%{_libdir}/%{oname}/ardour-*
%{_libdir}/%{oname}/surfaces/*.so
%{_libdir}/%{oname}/engines/*.so
%{_libdir}/%{oname}/vamp/*.so
%{_datadir}/applications/*.desktop
%{_datadir}/%{oname}/icons/*.png
%{_datadir}/%{oname}/pixmaps/*.xpm
%{_datadir}/%{oname}/*.png
%{_datadir}/%{oname}/templates/*.template
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/*.xml




%changelog

* Tue Feb 07 2012 zezinho <zezinho> 1:2.8.12-1.mga2
+ Revision: 206169
- new version

  + fwang <fwang>
    - recognize newer soundtouch
    - drop merged patches
    - new version 2.8.12

* Mon Sep 12 2011 fwang <fwang> 1:2.8.11-4.mga2
+ Revision: 142720
- add more include
- support raptor2
- rebuild for new libpng

* Tue Mar 29 2011 stewb <stewb> 1:2.8.11-3.mga1
+ Revision: 78892
- s/Mandriva/Mageia/ in the description

* Tue Mar 29 2011 ennael <ennael> 1:2.8.11-2.mga1
+ Revision: 78702
- clean spec file
- clean spec file
- imported package ardour


* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.11-2mdv2011.0
+ Revision: 587868
- P8: security fix for CVE-2010-3349

* Sun Aug 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.8.11-1mdv2011.0
+ Revision: 567587
- update to new version 2.8.11
- drop patch 0
- drop ppc and ppc64 bits in spec file

* Sun Feb 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.8.7-1mdv2010.1
+ Revision: 508885
- update to new version 2.8.7

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 1:2.8.6-1mdv2010.1
+ Revision: 496210
- new version 2.8.6

* Thu Dec 31 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1:2.8.4-1mdv2010.1
+ Revision: 484479
- rediff patches
- add patch to fix wiimote scons file

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 2.8.4

* Sat Oct 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.8.2-3mdv2010.0
+ Revision: 456571
- add missing buildrequires on desktop-file-utils
- rebuild for new curl SSL backend

* Wed Aug 05 2009 Funda Wang <fwang@mandriva.org> 1:2.8.2-2mdv2010.0
+ Revision: 409960
- rebuild
- disable fdo actions

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add buildrequires on libredland-devel
    - add support for resuming last states
    - link against newer soundtouch library
    - update to new version 2.8.2

* Sun May 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.8-1mdv2010.0
+ Revision: 376625
- enable FREEDESKTOP option

  + trem <trem@mandriva.org>
    - update to 2.8
    - fix patch 0 and 4
    - disable FREEDESKTOP because if break the compilation

* Sat Dec 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.7.1-1mdv2009.1
+ Revision: 311386
- update to new version 2.7.1

* Sun Nov 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.7-2mdv2009.1
+ Revision: 305982
- really enable wiimote (S1), upstream forgot it...

* Sat Nov 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.7-1mdv2009.1
+ Revision: 305938
- enable wiimote support
- fix file list one more time
- fix file list
- update to new version 2.7
- build against system wide libs only mdv greater than 2009.0 (glibmm issue)

* Thu Nov 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.6.1-1mdv2009.1
+ Revision: 300370
- drop patch 2, fixed upstream
- enable runtime FPU optimizations
- compile against stystem-wide libraries(works again)
- update to new version 2.6.1

* Sun Aug 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.5-1mdv2009.0
+ Revision: 275505
- Patch4: fix building with gcc43
- compile with SYSLIBS=0, because there are problems with redefined declarations in glibmm and boost
- drop patch 4, fixed differently by upstream
- use aubio library features
- enable sse for x86_64
- add support for aubio library
- add support for fd.o mime-types etc.
- disable patch5, fixed upstream
- update to new version 2.5

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Oden Eriksson <oeriksson@mandriva.com>
    - bump release
    - added a gcc43 patch from fedora

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.4.1-1mdv2009.0
+ Revision: 195500
- new version
- fix file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - update url

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.3.1-1mdv2008.1
+ Revision: 183023
- fix build deps (lv2core-devel)
- 2.3.1
- added 2 patches from fedora
- fix build deps

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.2-2mdv2008.1
+ Revision: 156029
- disable cpu optimisations during compling
- use mandriva common optflags rather than hardcoded one

* Mon Jan 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.2-1mdv2008.1
+ Revision: 155443
- fix file list
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.1-1mdv2008.1
+ Revision: 100128
- new version
- new license policy
- drop patches 0 and 2 (fixed upstream)
- add compile options
- spec file clean

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 1:2.0.5-6mdv2008.0
+ Revision: 77179
- fix menu entry comment

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.5-2mdv2008.0
+ Revision: 68770
- added two patches from the author (all patches will be in 2.0.6)
- don't use %%{optfflags} but build against system libs for now

* Sun Aug 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.5-1mdv2008.0
+ Revision: 59098
- 2.0.5
- fix deps

* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.4-2mdv2008.0
+ Revision: 58532
- rebuild

* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.4-1mdv2008.0
+ Revision: 57631
- 2.0.4
- major rework, build it against system libs

  + Austin Acton <austin@mandriva.org>
    - new version

* Sat May 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0.2-1mdv2008.0
+ Revision: 31316
- new version

* Tue May 15 2007 Austin Acton <austin@mandriva.org> 1:2.0.1-4mdv2008.0
+ Revision: 26975
- fix file list
- fix executable name

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1:2.0.1-3mdv2008.0
+ Revision: 25844
- buildconflicts libsndfile and libflac

* Wed May 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0.1-1mdv2008.0
+ Revision: 25814
- new version (bugfixes)

* Wed May 09 2007 Austin Acton <austin@mandriva.org> 1:2.0-4mdv2008.0
+ Revision: 25372
- oops, still need old icons too

* Tue May 08 2007 Austin Acton <austin@mandriva.org> 1:2.0-3mdv2008.0
+ Revision: 25299
- use bundled icons, and make them XDG-compliant

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:2.0-2mdv2008.0
+ Revision: 23950
- own missing files
- drop Sources 3,4,8
- spec file clean
- update description
- update file list
- update to 2.0


* Tue Jan 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.99.3-3mdv2007.0
+ Revision: 109489
- Rebuild against new curl
- Import ardour

* Fri Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 0.99.3-2mdv2007.0
- xdg menu
- fix description

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.99.3-1mdk
- 0.99.3

* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.99.2-2mdk
- Fix build on ppc

* Sun Feb 26 2006 Austin Acton <austin@mandriva.org> 0.99.2-1mdk
- 0.99.2

* Thu Nov 03 2005 Pascal Terjan <pterjan@mandriva.org> 0.99-1mdk
- 0.99
- Now uses scons instead of make
- Do not build text interface as ardour_ksi/ is not included in 0.99 tarball

* Wed Mar 16 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta28.1mdk
- 0.9beta28
- source URL

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.9-0.beta24.1mdk
- 0.9beta24

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta22.1mdk
- 0.9beta22
- configure 2.5

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta19.1mdk
- 0.9beta19

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9-0.beta10.2.1mdk
- 0.9beta10.2

